require 'typesafe_enum'

module OpenActive
  module Enums
    # This enumeration contains a value for all properties in the https://schema.org/ and https://openactive.io/ vocabularies.
    class PropertyEnumeration < TypesafeEnum::Base
      new :AccessChannel, "https://openactive.io/accessChannel"
      new :AccessId, "https://openactive.io/accessId"
      new :AccessPass, "https://openactive.io/accessPass"
      new :AccessibilityInformation, "https://openactive.io/accessibilityInformation"
      new :AccessibilitySupport, "https://openactive.io/accessibilitySupport"
      new :Activity, "https://openactive.io/activity"
      new :AdditionalAdmissionRestriction, "https://openactive.io/additionalAdmissionRestriction"
      new :AgeRange, "https://openactive.io/ageRange"
      new :AgeRestriction, "https://openactive.io/ageRestriction"
      new :AggregateFacilityUse, "https://openactive.io/aggregateFacilityUse"
      new :AllowCustomerCancellationFullRefund, "https://openactive.io/allowCustomerCancellationFullRefund"
      new :AttendeeDetailsRequired, "https://openactive.io/attendeeDetailsRequired"
      new :AttendeeInstructions, "https://openactive.io/attendeeInstructions"
      new :AuthenticationAuthority, "https://openactive.io/authenticationAuthority"
      new :BackgroundImage, "https://openactive.io/backgroundImage"
      new :BookingService, "https://openactive.io/bookingService"
      new :BrokerRole, "https://openactive.io/brokerRole"
      new :CancellationMessage, "https://openactive.io/cancellationMessage"
      new :Concept, "https://openactive.io/concept"
      new :CustomerNotice, "https://openactive.io/customerNotice"
      new :FacilityUse, "https://openactive.io/facilityUse"
      new :GenderRestriction, "https://openactive.io/genderRestriction"
      new :IdTemplate, "https://openactive.io/idTemplate"
      new :IndividualFacilityUse, "https://openactive.io/individualFacilityUse"
      new :Instance, "https://openactive.io/instance"
      new :InstanceOfCourse, "https://openactive.io/instanceOfCourse"
      new :IsCoached, "https://openactive.io/isCoached"
      new :IsOpenBookingAllowed, "https://openactive.io/isOpenBookingAllowed"
      new :LatestCancellationBeforeStartDate, "https://openactive.io/latestCancellationBeforeStartDate"
      new :Leader, "https://openactive.io/leader"
      new :Lease, "https://openactive.io/lease"
      new :LeaseExpires, "https://openactive.io/leaseExpires"
      new :Level, "https://openactive.io/level"
      new :MaximumUses, "https://openactive.io/maximumUses"
      new :MeetingPoint, "https://openactive.io/meetingPoint"
      new :OpenBookingFlowRequirement, "https://openactive.io/openBookingFlowRequirement"
      new :OpenBookingInAdvance, "https://openactive.io/openBookingInAdvance"
      new :OpenBookingPrepayment, "https://openactive.io/openBookingPrepayment"
      new :OrderCreationStatus, "https://openactive.io/orderCreationStatus"
      new :OrderCustomerNote, "https://openactive.io/orderCustomerNote"
      new :OrderItemIntakeForm, "https://openactive.io/orderItemIntakeForm"
      new :OrderItemIntakeFormResponse, "https://openactive.io/orderItemIntakeFormResponse"
      new :OrderProposalStatus, "https://openactive.io/orderProposalStatus"
      new :OrderProposalVersion, "https://openactive.io/orderProposalVersion"
      new :OrderRequiresApproval, "https://openactive.io/orderRequiresApproval"
      new :OrderSellerNote, "https://openactive.io/orderSellerNote"
      new :Payment, "https://openactive.io/payment"
      new :PaymentProviderId, "https://openactive.io/paymentProviderId"
      new :Programme, "https://openactive.io/programme"
      new :Rate, "https://openactive.io/rate"
      new :RemainingUses, "https://openactive.io/remainingUses"
      new :RequestId, "https://openactive.io/requestId"
      new :RequiresExplicitConsent, "https://openactive.io/requiresExplicitConsent"
      new :ScheduledEventType, "https://openactive.io/scheduledEventType"
      new :SchedulingNote, "https://openactive.io/schedulingNote"
      new :StatusCode, "https://openactive.io/statusCode"
      new :TaxCalculationExcluded, "https://openactive.io/taxCalculationExcluded"
      new :TaxMode, "https://openactive.io/taxMode"
      new :TotalPaymentTax, "https://openactive.io/totalPaymentTax"
      new :UnitTaxSpecification, "https://openactive.io/unitTaxSpecification"
      new :ValidFromBeforeStartDate, "https://openactive.io/validFromBeforeStartDate"
      new :ValueOption, "https://openactive.io/valueOption"
      new :About, "https://schema.org/about"
      new :Abridged, "https://schema.org/abridged"
      new :Abstract, "https://schema.org/abstract"
      new :AccelerationTime, "https://schema.org/accelerationTime"
      new :AcceptedAnswer, "https://schema.org/acceptedAnswer"
      new :AcceptedOffer, "https://schema.org/acceptedOffer"
      new :AcceptedPaymentMethod, "https://schema.org/acceptedPaymentMethod"
      new :AcceptsReservations, "https://schema.org/acceptsReservations"
      new :AccessCode, "https://schema.org/accessCode"
      new :AccessMode, "https://schema.org/accessMode"
      new :AccessModeSufficient, "https://schema.org/accessModeSufficient"
      new :AccessibilityAPI, "https://schema.org/accessibilityAPI"
      new :AccessibilityControl, "https://schema.org/accessibilityControl"
      new :AccessibilityFeature, "https://schema.org/accessibilityFeature"
      new :AccessibilityHazard, "https://schema.org/accessibilityHazard"
      new :AccessibilitySummary, "https://schema.org/accessibilitySummary"
      new :AccommodationCategory, "https://schema.org/accommodationCategory"
      new :AccommodationFloorPlan, "https://schema.org/accommodationFloorPlan"
      new :AccountId, "https://schema.org/accountId"
      new :AccountMinimumInflow, "https://schema.org/accountMinimumInflow"
      new :AccountOverdraftLimit, "https://schema.org/accountOverdraftLimit"
      new :AccountablePerson, "https://schema.org/accountablePerson"
      new :AcquireLicensePage, "https://schema.org/acquireLicensePage"
      new :AcquiredFrom, "https://schema.org/acquiredFrom"
      new :AcrissCode, "https://schema.org/acrissCode"
      new :ActionAccessibilityRequirement, "https://schema.org/actionAccessibilityRequirement"
      new :ActionApplication, "https://schema.org/actionApplication"
      new :ActionOption, "https://schema.org/actionOption"
      new :ActionPlatform, "https://schema.org/actionPlatform"
      new :ActionStatus, "https://schema.org/actionStatus"
      new :ActionableFeedbackPolicy, "https://schema.org/actionableFeedbackPolicy"
      new :ActiveIngredient, "https://schema.org/activeIngredient"
      new :ActivityDuration, "https://schema.org/activityDuration"
      new :ActivityFrequency, "https://schema.org/activityFrequency"
      new :Actor, "https://schema.org/actor"
      new :Actors, "https://schema.org/actors"
      new :AddOn, "https://schema.org/addOn"
      new :AdditionalName, "https://schema.org/additionalName"
      new :AdditionalNumberOfGuests, "https://schema.org/additionalNumberOfGuests"
      new :AdditionalProperty, "https://schema.org/additionalProperty"
      new :AdditionalType, "https://schema.org/additionalType"
      new :AdditionalVariable, "https://schema.org/additionalVariable"
      new :Address, "https://schema.org/address"
      new :AddressCountry, "https://schema.org/addressCountry"
      new :AddressLocality, "https://schema.org/addressLocality"
      new :AddressRegion, "https://schema.org/addressRegion"
      new :AdministrationRoute, "https://schema.org/administrationRoute"
      new :AdvanceBookingRequirement, "https://schema.org/advanceBookingRequirement"
      new :AdverseOutcome, "https://schema.org/adverseOutcome"
      new :AffectedBy, "https://schema.org/affectedBy"
      new :Affiliation, "https://schema.org/affiliation"
      new :AfterMedia, "https://schema.org/afterMedia"
      new :Agent, "https://schema.org/agent"
      new :AggregateRating, "https://schema.org/aggregateRating"
      new :Aircraft, "https://schema.org/aircraft"
      new :Album, "https://schema.org/album"
      new :AlbumProductionType, "https://schema.org/albumProductionType"
      new :AlbumRelease, "https://schema.org/albumRelease"
      new :AlbumReleaseType, "https://schema.org/albumReleaseType"
      new :Albums, "https://schema.org/albums"
      new :AlcoholWarning, "https://schema.org/alcoholWarning"
      new :Algorithm, "https://schema.org/algorithm"
      new :AlignmentType, "https://schema.org/alignmentType"
      new :AlternateName, "https://schema.org/alternateName"
      new :AlternativeHeadline, "https://schema.org/alternativeHeadline"
      new :Alumni, "https://schema.org/alumni"
      new :AlumniOf, "https://schema.org/alumniOf"
      new :AmenityFeature, "https://schema.org/amenityFeature"
      new :Amount, "https://schema.org/amount"
      new :AmountOfThisGood, "https://schema.org/amountOfThisGood"
      new :AnnouncementLocation, "https://schema.org/announcementLocation"
      new :AnnualPercentageRate, "https://schema.org/annualPercentageRate"
      new :AnswerCount, "https://schema.org/answerCount"
      new :AnswerExplanation, "https://schema.org/answerExplanation"
      new :Antagonist, "https://schema.org/antagonist"
      new :Appearance, "https://schema.org/appearance"
      new :ApplicableLocation, "https://schema.org/applicableLocation"
      new :ApplicantLocationRequirements, "https://schema.org/applicantLocationRequirements"
      new :Application, "https://schema.org/application"
      new :ApplicationCategory, "https://schema.org/applicationCategory"
      new :ApplicationContact, "https://schema.org/applicationContact"
      new :ApplicationDeadline, "https://schema.org/applicationDeadline"
      new :ApplicationStartDate, "https://schema.org/applicationStartDate"
      new :ApplicationSubCategory, "https://schema.org/applicationSubCategory"
      new :ApplicationSuite, "https://schema.org/applicationSuite"
      new :AppliesToDeliveryMethod, "https://schema.org/appliesToDeliveryMethod"
      new :AppliesToPaymentMethod, "https://schema.org/appliesToPaymentMethod"
      new :ArchiveHeld, "https://schema.org/archiveHeld"
      new :Area, "https://schema.org/area"
      new :AreaServed, "https://schema.org/areaServed"
      new :ArrivalAirport, "https://schema.org/arrivalAirport"
      new :ArrivalBoatTerminal, "https://schema.org/arrivalBoatTerminal"
      new :ArrivalBusStop, "https://schema.org/arrivalBusStop"
      new :ArrivalGate, "https://schema.org/arrivalGate"
      new :ArrivalPlatform, "https://schema.org/arrivalPlatform"
      new :ArrivalStation, "https://schema.org/arrivalStation"
      new :ArrivalTerminal, "https://schema.org/arrivalTerminal"
      new :ArrivalTime, "https://schema.org/arrivalTime"
      new :ArtEdition, "https://schema.org/artEdition"
      new :ArtMedium, "https://schema.org/artMedium"
      new :ArterialBranch, "https://schema.org/arterialBranch"
      new :Artform, "https://schema.org/artform"
      new :ArticleBody, "https://schema.org/articleBody"
      new :ArticleSection, "https://schema.org/articleSection"
      new :Artist, "https://schema.org/artist"
      new :ArtworkSurface, "https://schema.org/artworkSurface"
      new :Aspect, "https://schema.org/aspect"
      new :Assembly, "https://schema.org/assembly"
      new :AssemblyVersion, "https://schema.org/assemblyVersion"
      new :Assesses, "https://schema.org/assesses"
      new :AssociatedAnatomy, "https://schema.org/associatedAnatomy"
      new :AssociatedArticle, "https://schema.org/associatedArticle"
      new :AssociatedMedia, "https://schema.org/associatedMedia"
      new :AssociatedPathophysiology, "https://schema.org/associatedPathophysiology"
      new :Athlete, "https://schema.org/athlete"
      new :Attendee, "https://schema.org/attendee"
      new :Attendees, "https://schema.org/attendees"
      new :Audience, "https://schema.org/audience"
      new :AudienceType, "https://schema.org/audienceType"
      new :Audio, "https://schema.org/audio"
      new :Authenticator, "https://schema.org/authenticator"
      new :Author, "https://schema.org/author"
      new :Availability, "https://schema.org/availability"
      new :AvailabilityEnds, "https://schema.org/availabilityEnds"
      new :AvailabilityStarts, "https://schema.org/availabilityStarts"
      new :AvailableAtOrFrom, "https://schema.org/availableAtOrFrom"
      new :AvailableChannel, "https://schema.org/availableChannel"
      new :AvailableDeliveryMethod, "https://schema.org/availableDeliveryMethod"
      new :AvailableFrom, "https://schema.org/availableFrom"
      new :AvailableIn, "https://schema.org/availableIn"
      new :AvailableLanguage, "https://schema.org/availableLanguage"
      new :AvailableOnDevice, "https://schema.org/availableOnDevice"
      new :AvailableService, "https://schema.org/availableService"
      new :AvailableStrength, "https://schema.org/availableStrength"
      new :AvailableTest, "https://schema.org/availableTest"
      new :AvailableThrough, "https://schema.org/availableThrough"
      new :Award, "https://schema.org/award"
      new :Awards, "https://schema.org/awards"
      new :AwayTeam, "https://schema.org/awayTeam"
      new :Backstory, "https://schema.org/backstory"
      new :BankAccountType, "https://schema.org/bankAccountType"
      new :BaseSalary, "https://schema.org/baseSalary"
      new :BccRecipient, "https://schema.org/bccRecipient"
      new :Bed, "https://schema.org/bed"
      new :BeforeMedia, "https://schema.org/beforeMedia"
      new :BeneficiaryBank, "https://schema.org/beneficiaryBank"
      new :Benefits, "https://schema.org/benefits"
      new :BenefitsSummaryUrl, "https://schema.org/benefitsSummaryUrl"
      new :BestRating, "https://schema.org/bestRating"
      new :BillingAddress, "https://schema.org/billingAddress"
      new :BillingDuration, "https://schema.org/billingDuration"
      new :BillingIncrement, "https://schema.org/billingIncrement"
      new :BillingPeriod, "https://schema.org/billingPeriod"
      new :BillingStart, "https://schema.org/billingStart"
      new :BiomechnicalClass, "https://schema.org/biomechnicalClass"
      new :BirthDate, "https://schema.org/birthDate"
      new :BirthPlace, "https://schema.org/birthPlace"
      new :Bitrate, "https://schema.org/bitrate"
      new :BlogPost, "https://schema.org/blogPost"
      new :BlogPosts, "https://schema.org/blogPosts"
      new :BloodSupply, "https://schema.org/bloodSupply"
      new :BoardingGroup, "https://schema.org/boardingGroup"
      new :BoardingPolicy, "https://schema.org/boardingPolicy"
      new :BodyLocation, "https://schema.org/bodyLocation"
      new :BodyType, "https://schema.org/bodyType"
      new :BookEdition, "https://schema.org/bookEdition"
      new :BookFormat, "https://schema.org/bookFormat"
      new :BookingAgent, "https://schema.org/bookingAgent"
      new :BookingTime, "https://schema.org/bookingTime"
      new :Borrower, "https://schema.org/borrower"
      new :Box, "https://schema.org/box"
      new :Branch, "https://schema.org/branch"
      new :BranchCode, "https://schema.org/branchCode"
      new :BranchOf, "https://schema.org/branchOf"
      new :Brand, "https://schema.org/brand"
      new :Breadcrumb, "https://schema.org/breadcrumb"
      new :BreastfeedingWarning, "https://schema.org/breastfeedingWarning"
      new :BroadcastAffiliateOf, "https://schema.org/broadcastAffiliateOf"
      new :BroadcastChannelId, "https://schema.org/broadcastChannelId"
      new :BroadcastDisplayName, "https://schema.org/broadcastDisplayName"
      new :BroadcastFrequency, "https://schema.org/broadcastFrequency"
      new :BroadcastFrequencyValue, "https://schema.org/broadcastFrequencyValue"
      new :BroadcastOfEvent, "https://schema.org/broadcastOfEvent"
      new :BroadcastServiceTier, "https://schema.org/broadcastServiceTier"
      new :BroadcastSignalModulation, "https://schema.org/broadcastSignalModulation"
      new :BroadcastSubChannel, "https://schema.org/broadcastSubChannel"
      new :BroadcastTimezone, "https://schema.org/broadcastTimezone"
      new :Broadcaster, "https://schema.org/broadcaster"
      new :Broker, "https://schema.org/broker"
      new :BrowserRequirements, "https://schema.org/browserRequirements"
      new :BusName, "https://schema.org/busName"
      new :BusNumber, "https://schema.org/busNumber"
      new :BusinessDays, "https://schema.org/businessDays"
      new :BusinessFunction, "https://schema.org/businessFunction"
      new :Buyer, "https://schema.org/buyer"
      new :ByArtist, "https://schema.org/byArtist"
      new :ByDay, "https://schema.org/byDay"
      new :ByMonth, "https://schema.org/byMonth"
      new :ByMonthDay, "https://schema.org/byMonthDay"
      new :ByMonthWeek, "https://schema.org/byMonthWeek"
      new :CallSign, "https://schema.org/callSign"
      new :Calories, "https://schema.org/calories"
      new :Candidate, "https://schema.org/candidate"
      new :Caption, "https://schema.org/caption"
      new :CarbohydrateContent, "https://schema.org/carbohydrateContent"
      new :CargoVolume, "https://schema.org/cargoVolume"
      new :Carrier, "https://schema.org/carrier"
      new :CarrierRequirements, "https://schema.org/carrierRequirements"
      new :CashBack, "https://schema.org/cashBack"
      new :Catalog, "https://schema.org/catalog"
      new :CatalogNumber, "https://schema.org/catalogNumber"
      new :Category, "https://schema.org/category"
      new :CauseOf, "https://schema.org/causeOf"
      new :CcRecipient, "https://schema.org/ccRecipient"
      new :Character, "https://schema.org/character"
      new :CharacterAttribute, "https://schema.org/characterAttribute"
      new :CharacterName, "https://schema.org/characterName"
      new :CheatCode, "https://schema.org/cheatCode"
      new :CheckinTime, "https://schema.org/checkinTime"
      new :CheckoutTime, "https://schema.org/checkoutTime"
      new :ChildMaxAge, "https://schema.org/childMaxAge"
      new :ChildMinAge, "https://schema.org/childMinAge"
      new :Children, "https://schema.org/children"
      new :CholesterolContent, "https://schema.org/cholesterolContent"
      new :Circle, "https://schema.org/circle"
      new :Citation, "https://schema.org/citation"
      new :ClaimReviewed, "https://schema.org/claimReviewed"
      new :ClincalPharmacology, "https://schema.org/clincalPharmacology"
      new :ClinicalPharmacology, "https://schema.org/clinicalPharmacology"
      new :ClipNumber, "https://schema.org/clipNumber"
      new :Closes, "https://schema.org/closes"
      new :Coach, "https://schema.org/coach"
      new :Code, "https://schema.org/code"
      new :CodeRepository, "https://schema.org/codeRepository"
      new :CodeSampleType, "https://schema.org/codeSampleType"
      new :CodeValue, "https://schema.org/codeValue"
      new :CodingSystem, "https://schema.org/codingSystem"
      new :Colleague, "https://schema.org/colleague"
      new :Colleagues, "https://schema.org/colleagues"
      new :Collection, "https://schema.org/collection"
      new :CollectionSize, "https://schema.org/collectionSize"
      new :Color, "https://schema.org/color"
      new :Colorist, "https://schema.org/colorist"
      new :Comment, "https://schema.org/comment"
      new :CommentCount, "https://schema.org/commentCount"
      new :CommentText, "https://schema.org/commentText"
      new :CommentTime, "https://schema.org/commentTime"
      new :CompetencyRequired, "https://schema.org/competencyRequired"
      new :Competitor, "https://schema.org/competitor"
      new :Composer, "https://schema.org/composer"
      new :ComprisedOf, "https://schema.org/comprisedOf"
      new :ConditionsOfAccess, "https://schema.org/conditionsOfAccess"
      new :ConfirmationNumber, "https://schema.org/confirmationNumber"
      new :ConnectedTo, "https://schema.org/connectedTo"
      new :ConstrainingProperty, "https://schema.org/constrainingProperty"
      new :ContactOption, "https://schema.org/contactOption"
      new :ContactPoint, "https://schema.org/contactPoint"
      new :ContactPoints, "https://schema.org/contactPoints"
      new :ContactType, "https://schema.org/contactType"
      new :ContactlessPayment, "https://schema.org/contactlessPayment"
      new :ContainedIn, "https://schema.org/containedIn"
      new :ContainedInPlace, "https://schema.org/containedInPlace"
      new :ContainsPlace, "https://schema.org/containsPlace"
      new :ContainsSeason, "https://schema.org/containsSeason"
      new :ContentLocation, "https://schema.org/contentLocation"
      new :ContentRating, "https://schema.org/contentRating"
      new :ContentReferenceTime, "https://schema.org/contentReferenceTime"
      new :ContentSize, "https://schema.org/contentSize"
      new :ContentType, "https://schema.org/contentType"
      new :ContentUrl, "https://schema.org/contentUrl"
      new :Contraindication, "https://schema.org/contraindication"
      new :Contributor, "https://schema.org/contributor"
      new :CookTime, "https://schema.org/cookTime"
      new :CookingMethod, "https://schema.org/cookingMethod"
      new :CopyrightHolder, "https://schema.org/copyrightHolder"
      new :CopyrightNotice, "https://schema.org/copyrightNotice"
      new :CopyrightYear, "https://schema.org/copyrightYear"
      new :Correction, "https://schema.org/correction"
      new :CorrectionsPolicy, "https://schema.org/correctionsPolicy"
      new :CostCategory, "https://schema.org/costCategory"
      new :CostCurrency, "https://schema.org/costCurrency"
      new :CostOrigin, "https://schema.org/costOrigin"
      new :CostPerUnit, "https://schema.org/costPerUnit"
      new :CountriesNotSupported, "https://schema.org/countriesNotSupported"
      new :CountriesSupported, "https://schema.org/countriesSupported"
      new :CountryOfOrigin, "https://schema.org/countryOfOrigin"
      new :Course, "https://schema.org/course"
      new :CourseCode, "https://schema.org/courseCode"
      new :CourseMode, "https://schema.org/courseMode"
      new :CoursePrerequisites, "https://schema.org/coursePrerequisites"
      new :CourseWorkload, "https://schema.org/courseWorkload"
      new :CoverageEndTime, "https://schema.org/coverageEndTime"
      new :CoverageStartTime, "https://schema.org/coverageStartTime"
      new :CreativeWorkStatus, "https://schema.org/creativeWorkStatus"
      new :Creator, "https://schema.org/creator"
      new :CredentialCategory, "https://schema.org/credentialCategory"
      new :CreditText, "https://schema.org/creditText"
      new :CreditedTo, "https://schema.org/creditedTo"
      new :CssSelector, "https://schema.org/cssSelector"
      new :CurrenciesAccepted, "https://schema.org/currenciesAccepted"
      new :Currency, "https://schema.org/currency"
      new :CurrentExchangeRate, "https://schema.org/currentExchangeRate"
      new :Customer, "https://schema.org/customer"
      new :CutoffTime, "https://schema.org/cutoffTime"
      new :CvdCollectionDate, "https://schema.org/cvdCollectionDate"
      new :CvdFacilityCounty, "https://schema.org/cvdFacilityCounty"
      new :CvdFacilityId, "https://schema.org/cvdFacilityId"
      new :CvdNumBeds, "https://schema.org/cvdNumBeds"
      new :CvdNumBedsOcc, "https://schema.org/cvdNumBedsOcc"
      new :CvdNumC19Died, "https://schema.org/cvdNumC19Died"
      new :CvdNumC19HOPats, "https://schema.org/cvdNumC19HOPats"
      new :CvdNumC19HospPats, "https://schema.org/cvdNumC19HospPats"
      new :CvdNumC19MechVentPats, "https://schema.org/cvdNumC19MechVentPats"
      new :CvdNumC19OFMechVentPats, "https://schema.org/cvdNumC19OFMechVentPats"
      new :CvdNumC19OverflowPats, "https://schema.org/cvdNumC19OverflowPats"
      new :CvdNumICUBeds, "https://schema.org/cvdNumICUBeds"
      new :CvdNumICUBedsOcc, "https://schema.org/cvdNumICUBedsOcc"
      new :CvdNumTotBeds, "https://schema.org/cvdNumTotBeds"
      new :CvdNumVent, "https://schema.org/cvdNumVent"
      new :CvdNumVentUse, "https://schema.org/cvdNumVentUse"
      new :DataFeedElement, "https://schema.org/dataFeedElement"
      new :Dataset, "https://schema.org/dataset"
      new :DatasetTimeInterval, "https://schema.org/datasetTimeInterval"
      new :DateCreated, "https://schema.org/dateCreated"
      new :DateDeleted, "https://schema.org/dateDeleted"
      new :DateIssued, "https://schema.org/dateIssued"
      new :DateModified, "https://schema.org/dateModified"
      new :DatePosted, "https://schema.org/datePosted"
      new :DatePublished, "https://schema.org/datePublished"
      new :DateRead, "https://schema.org/dateRead"
      new :DateReceived, "https://schema.org/dateReceived"
      new :DateSent, "https://schema.org/dateSent"
      new :DateVehicleFirstRegistered, "https://schema.org/dateVehicleFirstRegistered"
      new :Dateline, "https://schema.org/dateline"
      new :DayOfWeek, "https://schema.org/dayOfWeek"
      new :DeathDate, "https://schema.org/deathDate"
      new :DeathPlace, "https://schema.org/deathPlace"
      new :DefaultValue, "https://schema.org/defaultValue"
      new :DeliveryAddress, "https://schema.org/deliveryAddress"
      new :DeliveryLeadTime, "https://schema.org/deliveryLeadTime"
      new :DeliveryMethod, "https://schema.org/deliveryMethod"
      new :DeliveryStatus, "https://schema.org/deliveryStatus"
      new :DeliveryTime, "https://schema.org/deliveryTime"
      new :Department, "https://schema.org/department"
      new :DepartureAirport, "https://schema.org/departureAirport"
      new :DepartureBoatTerminal, "https://schema.org/departureBoatTerminal"
      new :DepartureBusStop, "https://schema.org/departureBusStop"
      new :DepartureGate, "https://schema.org/departureGate"
      new :DeparturePlatform, "https://schema.org/departurePlatform"
      new :DepartureStation, "https://schema.org/departureStation"
      new :DepartureTerminal, "https://schema.org/departureTerminal"
      new :DepartureTime, "https://schema.org/departureTime"
      new :Dependencies, "https://schema.org/dependencies"
      new :Depth, "https://schema.org/depth"
      new :Description, "https://schema.org/description"
      new :Device, "https://schema.org/device"
      new :Diagnosis, "https://schema.org/diagnosis"
      new :Diagram, "https://schema.org/diagram"
      new :Diet, "https://schema.org/diet"
      new :DietFeatures, "https://schema.org/dietFeatures"
      new :DifferentialDiagnosis, "https://schema.org/differentialDiagnosis"
      new :Director, "https://schema.org/director"
      new :Directors, "https://schema.org/directors"
      new :DisambiguatingDescription, "https://schema.org/disambiguatingDescription"
      new :Discount, "https://schema.org/discount"
      new :DiscountCode, "https://schema.org/discountCode"
      new :DiscountCurrency, "https://schema.org/discountCurrency"
      new :Discusses, "https://schema.org/discusses"
      new :DiscussionUrl, "https://schema.org/discussionUrl"
      new :DiseasePreventionInfo, "https://schema.org/diseasePreventionInfo"
      new :DiseaseSpreadStatistics, "https://schema.org/diseaseSpreadStatistics"
      new :DissolutionDate, "https://schema.org/dissolutionDate"
      new :Distance, "https://schema.org/distance"
      new :DistinguishingSign, "https://schema.org/distinguishingSign"
      new :Distribution, "https://schema.org/distribution"
      new :DiversityPolicy, "https://schema.org/diversityPolicy"
      new :DiversityStaffingReport, "https://schema.org/diversityStaffingReport"
      new :Documentation, "https://schema.org/documentation"
      new :DoesNotShip, "https://schema.org/doesNotShip"
      new :DomainIncludes, "https://schema.org/domainIncludes"
      new :DomiciledMortgage, "https://schema.org/domiciledMortgage"
      new :DoorTime, "https://schema.org/doorTime"
      new :DosageForm, "https://schema.org/dosageForm"
      new :DoseSchedule, "https://schema.org/doseSchedule"
      new :DoseUnit, "https://schema.org/doseUnit"
      new :DoseValue, "https://schema.org/doseValue"
      new :DownPayment, "https://schema.org/downPayment"
      new :DownloadUrl, "https://schema.org/downloadUrl"
      new :DownvoteCount, "https://schema.org/downvoteCount"
      new :DrainsTo, "https://schema.org/drainsTo"
      new :DriveWheelConfiguration, "https://schema.org/driveWheelConfiguration"
      new :DropoffLocation, "https://schema.org/dropoffLocation"
      new :DropoffTime, "https://schema.org/dropoffTime"
      new :Drug, "https://schema.org/drug"
      new :DrugClass, "https://schema.org/drugClass"
      new :DrugUnit, "https://schema.org/drugUnit"
      new :Duns, "https://schema.org/duns"
      new :DuplicateTherapy, "https://schema.org/duplicateTherapy"
      new :Duration, "https://schema.org/duration"
      new :DurationOfWarranty, "https://schema.org/durationOfWarranty"
      new :DuringMedia, "https://schema.org/duringMedia"
      new :EarlyPrepaymentPenalty, "https://schema.org/earlyPrepaymentPenalty"
      new :EditEIDR, "https://schema.org/editEIDR"
      new :Editor, "https://schema.org/editor"
      new :EduQuestionType, "https://schema.org/eduQuestionType"
      new :EducationRequirements, "https://schema.org/educationRequirements"
      new :EducationalAlignment, "https://schema.org/educationalAlignment"
      new :EducationalCredentialAwarded, "https://schema.org/educationalCredentialAwarded"
      new :EducationalFramework, "https://schema.org/educationalFramework"
      new :EducationalLevel, "https://schema.org/educationalLevel"
      new :EducationalProgramMode, "https://schema.org/educationalProgramMode"
      new :EducationalRole, "https://schema.org/educationalRole"
      new :EducationalUse, "https://schema.org/educationalUse"
      new :Elevation, "https://schema.org/elevation"
      new :EligibilityToWorkRequirement, "https://schema.org/eligibilityToWorkRequirement"
      new :EligibleCustomerType, "https://schema.org/eligibleCustomerType"
      new :EligibleDuration, "https://schema.org/eligibleDuration"
      new :EligibleQuantity, "https://schema.org/eligibleQuantity"
      new :EligibleRegion, "https://schema.org/eligibleRegion"
      new :EligibleTransactionVolume, "https://schema.org/eligibleTransactionVolume"
      new :Email, "https://schema.org/email"
      new :EmbedUrl, "https://schema.org/embedUrl"
      new :EmissionsCO2, "https://schema.org/emissionsCO2"
      new :Employee, "https://schema.org/employee"
      new :Employees, "https://schema.org/employees"
      new :EmployerOverview, "https://schema.org/employerOverview"
      new :EmploymentType, "https://schema.org/employmentType"
      new :EmploymentUnit, "https://schema.org/employmentUnit"
      new :EncodesCreativeWork, "https://schema.org/encodesCreativeWork"
      new :Encoding, "https://schema.org/encoding"
      new :EncodingFormat, "https://schema.org/encodingFormat"
      new :EncodingType, "https://schema.org/encodingType"
      new :Encodings, "https://schema.org/encodings"
      new :EndDate, "https://schema.org/endDate"
      new :EndOffset, "https://schema.org/endOffset"
      new :EndTime, "https://schema.org/endTime"
      new :Endorsee, "https://schema.org/endorsee"
      new :Endorsers, "https://schema.org/endorsers"
      new :EnergyEfficiencyScaleMax, "https://schema.org/energyEfficiencyScaleMax"
      new :EnergyEfficiencyScaleMin, "https://schema.org/energyEfficiencyScaleMin"
      new :EngineDisplacement, "https://schema.org/engineDisplacement"
      new :EnginePower, "https://schema.org/enginePower"
      new :EngineType, "https://schema.org/engineType"
      new :EntertainmentBusiness, "https://schema.org/entertainmentBusiness"
      new :Epidemiology, "https://schema.org/epidemiology"
      new :Episode, "https://schema.org/episode"
      new :EpisodeNumber, "https://schema.org/episodeNumber"
      new :Episodes, "https://schema.org/episodes"
      new :Equal, "https://schema.org/equal"
      new :Error, "https://schema.org/error"
      new :EstimatedCost, "https://schema.org/estimatedCost"
      new :EstimatedFlightDuration, "https://schema.org/estimatedFlightDuration"
      new :EstimatedSalary, "https://schema.org/estimatedSalary"
      new :EstimatesRiskOf, "https://schema.org/estimatesRiskOf"
      new :EthicsPolicy, "https://schema.org/ethicsPolicy"
      new :Event, "https://schema.org/event"
      new :EventAttendanceMode, "https://schema.org/eventAttendanceMode"
      new :EventSchedule, "https://schema.org/eventSchedule"
      new :EventStatus, "https://schema.org/eventStatus"
      new :Events, "https://schema.org/events"
      new :EvidenceLevel, "https://schema.org/evidenceLevel"
      new :EvidenceOrigin, "https://schema.org/evidenceOrigin"
      new :ExampleOfWork, "https://schema.org/exampleOfWork"
      new :ExceptDate, "https://schema.org/exceptDate"
      new :ExchangeRateSpread, "https://schema.org/exchangeRateSpread"
      new :ExecutableLibraryName, "https://schema.org/executableLibraryName"
      new :ExerciseCourse, "https://schema.org/exerciseCourse"
      new :ExercisePlan, "https://schema.org/exercisePlan"
      new :ExerciseRelatedDiet, "https://schema.org/exerciseRelatedDiet"
      new :ExerciseType, "https://schema.org/exerciseType"
      new :ExifData, "https://schema.org/exifData"
      new :ExpectedArrivalFrom, "https://schema.org/expectedArrivalFrom"
      new :ExpectedArrivalUntil, "https://schema.org/expectedArrivalUntil"
      new :ExpectedPrognosis, "https://schema.org/expectedPrognosis"
      new :ExpectsAcceptanceOf, "https://schema.org/expectsAcceptanceOf"
      new :ExperienceInPlaceOfEducation, "https://schema.org/experienceInPlaceOfEducation"
      new :ExperienceRequirements, "https://schema.org/experienceRequirements"
      new :ExpertConsiderations, "https://schema.org/expertConsiderations"
      new :Expires, "https://schema.org/expires"
      new :FamilyName, "https://schema.org/familyName"
      new :FatContent, "https://schema.org/fatContent"
      new :FaxNumber, "https://schema.org/faxNumber"
      new :FeatureList, "https://schema.org/featureList"
      new :FeesAndCommissionsSpecification, "https://schema.org/feesAndCommissionsSpecification"
      new :FiberContent, "https://schema.org/fiberContent"
      new :FileFormat, "https://schema.org/fileFormat"
      new :FileSize, "https://schema.org/fileSize"
      new :FinancialAidEligible, "https://schema.org/financialAidEligible"
      new :FirstAppearance, "https://schema.org/firstAppearance"
      new :FirstPerformance, "https://schema.org/firstPerformance"
      new :FlightDistance, "https://schema.org/flightDistance"
      new :FlightNumber, "https://schema.org/flightNumber"
      new :FloorLevel, "https://schema.org/floorLevel"
      new :FloorLimit, "https://schema.org/floorLimit"
      new :FloorSize, "https://schema.org/floorSize"
      new :Followee, "https://schema.org/followee"
      new :Follows, "https://schema.org/follows"
      new :Followup, "https://schema.org/followup"
      new :FoodEstablishment, "https://schema.org/foodEstablishment"
      new :FoodEvent, "https://schema.org/foodEvent"
      new :FoodWarning, "https://schema.org/foodWarning"
      new :Founder, "https://schema.org/founder"
      new :Founders, "https://schema.org/founders"
      new :FoundingDate, "https://schema.org/foundingDate"
      new :FoundingLocation, "https://schema.org/foundingLocation"
      new :Free, "https://schema.org/free"
      new :FreeShippingThreshold, "https://schema.org/freeShippingThreshold"
      new :Frequency, "https://schema.org/frequency"
      new :FromLocation, "https://schema.org/fromLocation"
      new :FuelCapacity, "https://schema.org/fuelCapacity"
      new :FuelConsumption, "https://schema.org/fuelConsumption"
      new :FuelEfficiency, "https://schema.org/fuelEfficiency"
      new :FuelType, "https://schema.org/fuelType"
      new :FunctionalClass, "https://schema.org/functionalClass"
      new :FundedItem, "https://schema.org/fundedItem"
      new :Funder, "https://schema.org/funder"
      new :Game, "https://schema.org/game"
      new :GameItem, "https://schema.org/gameItem"
      new :GameLocation, "https://schema.org/gameLocation"
      new :GamePlatform, "https://schema.org/gamePlatform"
      new :GameServer, "https://schema.org/gameServer"
      new :GameTip, "https://schema.org/gameTip"
      new :Gender, "https://schema.org/gender"
      new :Genre, "https://schema.org/genre"
      new :Geo, "https://schema.org/geo"
      new :GeoContains, "https://schema.org/geoContains"
      new :GeoCoveredBy, "https://schema.org/geoCoveredBy"
      new :GeoCovers, "https://schema.org/geoCovers"
      new :GeoCrosses, "https://schema.org/geoCrosses"
      new :GeoDisjoint, "https://schema.org/geoDisjoint"
      new :GeoEquals, "https://schema.org/geoEquals"
      new :GeoIntersects, "https://schema.org/geoIntersects"
      new :GeoMidpoint, "https://schema.org/geoMidpoint"
      new :GeoOverlaps, "https://schema.org/geoOverlaps"
      new :GeoRadius, "https://schema.org/geoRadius"
      new :GeoTouches, "https://schema.org/geoTouches"
      new :GeoWithin, "https://schema.org/geoWithin"
      new :GeographicArea, "https://schema.org/geographicArea"
      new :GettingTestedInfo, "https://schema.org/gettingTestedInfo"
      new :GivenName, "https://schema.org/givenName"
      new :GlobalLocationNumber, "https://schema.org/globalLocationNumber"
      new :GovernmentBenefitsInfo, "https://schema.org/governmentBenefitsInfo"
      new :GracePeriod, "https://schema.org/gracePeriod"
      new :Grantee, "https://schema.org/grantee"
      new :Greater, "https://schema.org/greater"
      new :GreaterOrEqual, "https://schema.org/greaterOrEqual"
      new :Gtin, "https://schema.org/gtin"
      new :Gtin12, "https://schema.org/gtin12"
      new :Gtin13, "https://schema.org/gtin13"
      new :Gtin14, "https://schema.org/gtin14"
      new :Gtin8, "https://schema.org/gtin8"
      new :Guideline, "https://schema.org/guideline"
      new :GuidelineDate, "https://schema.org/guidelineDate"
      new :GuidelineSubject, "https://schema.org/guidelineSubject"
      new :HandlingTime, "https://schema.org/handlingTime"
      new :HasBroadcastChannel, "https://schema.org/hasBroadcastChannel"
      new :HasCategoryCode, "https://schema.org/hasCategoryCode"
      new :HasCourse, "https://schema.org/hasCourse"
      new :HasCourseInstance, "https://schema.org/hasCourseInstance"
      new :HasCredential, "https://schema.org/hasCredential"
      new :HasDefinedTerm, "https://schema.org/hasDefinedTerm"
      new :HasDeliveryMethod, "https://schema.org/hasDeliveryMethod"
      new :HasDigitalDocumentPermission, "https://schema.org/hasDigitalDocumentPermission"
      new :HasDriveThroughService, "https://schema.org/hasDriveThroughService"
      new :HasEnergyConsumptionDetails, "https://schema.org/hasEnergyConsumptionDetails"
      new :HasEnergyEfficiencyCategory, "https://schema.org/hasEnergyEfficiencyCategory"
      new :HasHealthAspect, "https://schema.org/hasHealthAspect"
      new :HasMap, "https://schema.org/hasMap"
      new :HasMeasurement, "https://schema.org/hasMeasurement"
      new :HasMenu, "https://schema.org/hasMenu"
      new :HasMenuItem, "https://schema.org/hasMenuItem"
      new :HasMenuSection, "https://schema.org/hasMenuSection"
      new :HasMerchantReturnPolicy, "https://schema.org/hasMerchantReturnPolicy"
      new :HasOccupation, "https://schema.org/hasOccupation"
      new :HasOfferCatalog, "https://schema.org/hasOfferCatalog"
      new :HasPOS, "https://schema.org/hasPOS"
      new :HasPart, "https://schema.org/hasPart"
      new :HasVariant, "https://schema.org/hasVariant"
      new :Headline, "https://schema.org/headline"
      new :HealthCondition, "https://schema.org/healthCondition"
      new :HealthPlanCoinsuranceOption, "https://schema.org/healthPlanCoinsuranceOption"
      new :HealthPlanCoinsuranceRate, "https://schema.org/healthPlanCoinsuranceRate"
      new :HealthPlanCopay, "https://schema.org/healthPlanCopay"
      new :HealthPlanCopayOption, "https://schema.org/healthPlanCopayOption"
      new :HealthPlanCostSharing, "https://schema.org/healthPlanCostSharing"
      new :HealthPlanDrugOption, "https://schema.org/healthPlanDrugOption"
      new :HealthPlanDrugTier, "https://schema.org/healthPlanDrugTier"
      new :HealthPlanId, "https://schema.org/healthPlanId"
      new :HealthPlanMarketingUrl, "https://schema.org/healthPlanMarketingUrl"
      new :HealthPlanNetworkId, "https://schema.org/healthPlanNetworkId"
      new :HealthPlanNetworkTier, "https://schema.org/healthPlanNetworkTier"
      new :HealthPlanPharmacyCategory, "https://schema.org/healthPlanPharmacyCategory"
      new :HealthcareReportingData, "https://schema.org/healthcareReportingData"
      new :Height, "https://schema.org/height"
      new :HighPrice, "https://schema.org/highPrice"
      new :HiringOrganization, "https://schema.org/hiringOrganization"
      new :HoldingArchive, "https://schema.org/holdingArchive"
      new :HomeLocation, "https://schema.org/homeLocation"
      new :HomeTeam, "https://schema.org/homeTeam"
      new :HonorificPrefix, "https://schema.org/honorificPrefix"
      new :HonorificSuffix, "https://schema.org/honorificSuffix"
      new :HospitalAffiliation, "https://schema.org/hospitalAffiliation"
      new :HostingOrganization, "https://schema.org/hostingOrganization"
      new :HoursAvailable, "https://schema.org/hoursAvailable"
      new :HowPerformed, "https://schema.org/howPerformed"
      new :HttpMethod, "https://schema.org/httpMethod"
      new :IataCode, "https://schema.org/iataCode"
      new :IcaoCode, "https://schema.org/icaoCode"
      new :Identifier, "https://schema.org/identifier"
      new :IdentifyingExam, "https://schema.org/identifyingExam"
      new :IdentifyingTest, "https://schema.org/identifyingTest"
      new :Illustrator, "https://schema.org/illustrator"
      new :Image, "https://schema.org/image"
      new :ImagingTechnique, "https://schema.org/imagingTechnique"
      new :InAlbum, "https://schema.org/inAlbum"
      new :InBroadcastLineup, "https://schema.org/inBroadcastLineup"
      new :InCodeSet, "https://schema.org/inCodeSet"
      new :InDefinedTermSet, "https://schema.org/inDefinedTermSet"
      new :InLanguage, "https://schema.org/inLanguage"
      new :InPlaylist, "https://schema.org/inPlaylist"
      new :InProductGroupWithID, "https://schema.org/inProductGroupWithID"
      new :InStoreReturnsOffered, "https://schema.org/inStoreReturnsOffered"
      new :InSupportOf, "https://schema.org/inSupportOf"
      new :IncentiveCompensation, "https://schema.org/incentiveCompensation"
      new :Incentives, "https://schema.org/incentives"
      new :IncludedComposition, "https://schema.org/includedComposition"
      new :IncludedDataCatalog, "https://schema.org/includedDataCatalog"
      new :IncludedInDataCatalog, "https://schema.org/includedInDataCatalog"
      new :IncludedInHealthInsurancePlan, "https://schema.org/includedInHealthInsurancePlan"
      new :IncludedRiskFactor, "https://schema.org/includedRiskFactor"
      new :IncludesAttraction, "https://schema.org/includesAttraction"
      new :IncludesHealthPlanFormulary, "https://schema.org/includesHealthPlanFormulary"
      new :IncludesHealthPlanNetwork, "https://schema.org/includesHealthPlanNetwork"
      new :IncludesObject, "https://schema.org/includesObject"
      new :IncreasesRiskOf, "https://schema.org/increasesRiskOf"
      new :Industry, "https://schema.org/industry"
      new :IneligibleRegion, "https://schema.org/ineligibleRegion"
      new :InfectiousAgent, "https://schema.org/infectiousAgent"
      new :InfectiousAgentClass, "https://schema.org/infectiousAgentClass"
      new :Ingredients, "https://schema.org/ingredients"
      new :Inker, "https://schema.org/inker"
      new :Insertion, "https://schema.org/insertion"
      new :InstallUrl, "https://schema.org/installUrl"
      new :Instructor, "https://schema.org/instructor"
      new :Instrument, "https://schema.org/instrument"
      new :Intensity, "https://schema.org/intensity"
      new :InteractingDrug, "https://schema.org/interactingDrug"
      new :InteractionCount, "https://schema.org/interactionCount"
      new :InteractionService, "https://schema.org/interactionService"
      new :InteractionStatistic, "https://schema.org/interactionStatistic"
      new :InteractionType, "https://schema.org/interactionType"
      new :InteractivityType, "https://schema.org/interactivityType"
      new :InterestRate, "https://schema.org/interestRate"
      new :InventoryLevel, "https://schema.org/inventoryLevel"
      new :InverseOf, "https://schema.org/inverseOf"
      new :IsAcceptingNewPatients, "https://schema.org/isAcceptingNewPatients"
      new :IsAccessibleForFree, "https://schema.org/isAccessibleForFree"
      new :IsAccessoryOrSparePartFor, "https://schema.org/isAccessoryOrSparePartFor"
      new :IsAvailableGenerically, "https://schema.org/isAvailableGenerically"
      new :IsBasedOn, "https://schema.org/isBasedOn"
      new :IsBasedOnUrl, "https://schema.org/isBasedOnUrl"
      new :IsConsumableFor, "https://schema.org/isConsumableFor"
      new :IsFamilyFriendly, "https://schema.org/isFamilyFriendly"
      new :IsGift, "https://schema.org/isGift"
      new :IsLiveBroadcast, "https://schema.org/isLiveBroadcast"
      new :IsPartOf, "https://schema.org/isPartOf"
      new :IsPlanForApartment, "https://schema.org/isPlanForApartment"
      new :IsProprietary, "https://schema.org/isProprietary"
      new :IsRelatedTo, "https://schema.org/isRelatedTo"
      new :IsResizable, "https://schema.org/isResizable"
      new :IsSimilarTo, "https://schema.org/isSimilarTo"
      new :IsUnlabelledFallback, "https://schema.org/isUnlabelledFallback"
      new :IsVariantOf, "https://schema.org/isVariantOf"
      new :Isbn, "https://schema.org/isbn"
      new :IsicV4, "https://schema.org/isicV4"
      new :IsrcCode, "https://schema.org/isrcCode"
      new :Issn, "https://schema.org/issn"
      new :IssueNumber, "https://schema.org/issueNumber"
      new :IssuedBy, "https://schema.org/issuedBy"
      new :IssuedThrough, "https://schema.org/issuedThrough"
      new :IswcCode, "https://schema.org/iswcCode"
      new :Item, "https://schema.org/item"
      new :ItemCondition, "https://schema.org/itemCondition"
      new :ItemListElement, "https://schema.org/itemListElement"
      new :ItemListOrder, "https://schema.org/itemListOrder"
      new :ItemLocation, "https://schema.org/itemLocation"
      new :ItemOffered, "https://schema.org/itemOffered"
      new :ItemReviewed, "https://schema.org/itemReviewed"
      new :ItemShipped, "https://schema.org/itemShipped"
      new :Itinerary, "https://schema.org/itinerary"
      new :JobBenefits, "https://schema.org/jobBenefits"
      new :JobImmediateStart, "https://schema.org/jobImmediateStart"
      new :JobLocation, "https://schema.org/jobLocation"
      new :JobLocationType, "https://schema.org/jobLocationType"
      new :JobStartDate, "https://schema.org/jobStartDate"
      new :JobTitle, "https://schema.org/jobTitle"
      new :Jurisdiction, "https://schema.org/jurisdiction"
      new :Keywords, "https://schema.org/keywords"
      new :KnownVehicleDamages, "https://schema.org/knownVehicleDamages"
      new :Knows, "https://schema.org/knows"
      new :KnowsAbout, "https://schema.org/knowsAbout"
      new :KnowsLanguage, "https://schema.org/knowsLanguage"
      new :LabelDetails, "https://schema.org/labelDetails"
      new :Landlord, "https://schema.org/landlord"
      new :Language, "https://schema.org/language"
      new :LastReviewed, "https://schema.org/lastReviewed"
      new :Latitude, "https://schema.org/latitude"
      new :LayoutImage, "https://schema.org/layoutImage"
      new :LearningResourceType, "https://schema.org/learningResourceType"
      new :LeaseLength, "https://schema.org/leaseLength"
      new :LegalName, "https://schema.org/legalName"
      new :LegalStatus, "https://schema.org/legalStatus"
      new :LegislationApplies, "https://schema.org/legislationApplies"
      new :LegislationChanges, "https://schema.org/legislationChanges"
      new :LegislationConsolidates, "https://schema.org/legislationConsolidates"
      new :LegislationDate, "https://schema.org/legislationDate"
      new :LegislationDateVersion, "https://schema.org/legislationDateVersion"
      new :LegislationIdentifier, "https://schema.org/legislationIdentifier"
      new :LegislationJurisdiction, "https://schema.org/legislationJurisdiction"
      new :LegislationLegalForce, "https://schema.org/legislationLegalForce"
      new :LegislationLegalValue, "https://schema.org/legislationLegalValue"
      new :LegislationPassedBy, "https://schema.org/legislationPassedBy"
      new :LegislationResponsible, "https://schema.org/legislationResponsible"
      new :LegislationTransposes, "https://schema.org/legislationTransposes"
      new :LegislationType, "https://schema.org/legislationType"
      new :LeiCode, "https://schema.org/leiCode"
      new :Lender, "https://schema.org/lender"
      new :Lesser, "https://schema.org/lesser"
      new :LesserOrEqual, "https://schema.org/lesserOrEqual"
      new :Letterer, "https://schema.org/letterer"
      new :License, "https://schema.org/license"
      new :Line, "https://schema.org/line"
      new :LinkRelationship, "https://schema.org/linkRelationship"
      new :LiveBlogUpdate, "https://schema.org/liveBlogUpdate"
      new :LoanMortgageMandateAmount, "https://schema.org/loanMortgageMandateAmount"
      new :LoanPaymentAmount, "https://schema.org/loanPaymentAmount"
      new :LoanPaymentFrequency, "https://schema.org/loanPaymentFrequency"
      new :LoanRepaymentForm, "https://schema.org/loanRepaymentForm"
      new :LoanTerm, "https://schema.org/loanTerm"
      new :LoanType, "https://schema.org/loanType"
      new :Location, "https://schema.org/location"
      new :LocationCreated, "https://schema.org/locationCreated"
      new :LodgingUnitDescription, "https://schema.org/lodgingUnitDescription"
      new :LodgingUnitType, "https://schema.org/lodgingUnitType"
      new :Logo, "https://schema.org/logo"
      new :Longitude, "https://schema.org/longitude"
      new :Loser, "https://schema.org/loser"
      new :LowPrice, "https://schema.org/lowPrice"
      new :Lyricist, "https://schema.org/lyricist"
      new :Lyrics, "https://schema.org/lyrics"
      new :MainContentOfPage, "https://schema.org/mainContentOfPage"
      new :MainEntity, "https://schema.org/mainEntity"
      new :MainEntityOfPage, "https://schema.org/mainEntityOfPage"
      new :Maintainer, "https://schema.org/maintainer"
      new :MakesOffer, "https://schema.org/makesOffer"
      new :Manufacturer, "https://schema.org/manufacturer"
      new :Map, "https://schema.org/map"
      new :MapType, "https://schema.org/mapType"
      new :Maps, "https://schema.org/maps"
      new :MarginOfError, "https://schema.org/marginOfError"
      new :Masthead, "https://schema.org/masthead"
      new :Material, "https://schema.org/material"
      new :MaterialExtent, "https://schema.org/materialExtent"
      new :MathExpression, "https://schema.org/mathExpression"
      new :MaxPrice, "https://schema.org/maxPrice"
      new :MaxValue, "https://schema.org/maxValue"
      new :MaximumAttendeeCapacity, "https://schema.org/maximumAttendeeCapacity"
      new :MaximumEnrollment, "https://schema.org/maximumEnrollment"
      new :MaximumIntake, "https://schema.org/maximumIntake"
      new :MaximumPhysicalAttendeeCapacity, "https://schema.org/maximumPhysicalAttendeeCapacity"
      new :MaximumVirtualAttendeeCapacity, "https://schema.org/maximumVirtualAttendeeCapacity"
      new :MealService, "https://schema.org/mealService"
      new :MeasuredProperty, "https://schema.org/measuredProperty"
      new :MeasuredValue, "https://schema.org/measuredValue"
      new :MeasurementTechnique, "https://schema.org/measurementTechnique"
      new :MechanismOfAction, "https://schema.org/mechanismOfAction"
      new :MediaAuthenticityCategory, "https://schema.org/mediaAuthenticityCategory"
      new :Median, "https://schema.org/median"
      new :MedicalAudience, "https://schema.org/medicalAudience"
      new :MedicalSpecialty, "https://schema.org/medicalSpecialty"
      new :MedicineSystem, "https://schema.org/medicineSystem"
      new :MeetsEmissionStandard, "https://schema.org/meetsEmissionStandard"
      new :Member, "https://schema.org/member"
      new :MemberOf, "https://schema.org/memberOf"
      new :Members, "https://schema.org/members"
      new :MembershipNumber, "https://schema.org/membershipNumber"
      new :MembershipPointsEarned, "https://schema.org/membershipPointsEarned"
      new :MemoryRequirements, "https://schema.org/memoryRequirements"
      new :Mentions, "https://schema.org/mentions"
      new :Menu, "https://schema.org/menu"
      new :MenuAddOn, "https://schema.org/menuAddOn"
      new :Merchant, "https://schema.org/merchant"
      new :MerchantReturnDays, "https://schema.org/merchantReturnDays"
      new :MerchantReturnLink, "https://schema.org/merchantReturnLink"
      new :MessageAttachment, "https://schema.org/messageAttachment"
      new :MileageFromOdometer, "https://schema.org/mileageFromOdometer"
      new :MinPrice, "https://schema.org/minPrice"
      new :MinValue, "https://schema.org/minValue"
      new :MinimumPaymentDue, "https://schema.org/minimumPaymentDue"
      new :MissionCoveragePrioritiesPolicy, "https://schema.org/missionCoveragePrioritiesPolicy"
      new :Model, "https://schema.org/model"
      new :ModelDate, "https://schema.org/modelDate"
      new :ModifiedTime, "https://schema.org/modifiedTime"
      new :MonthlyMinimumRepaymentAmount, "https://schema.org/monthlyMinimumRepaymentAmount"
      new :MonthsOfExperience, "https://schema.org/monthsOfExperience"
      new :Mpn, "https://schema.org/mpn"
      new :MultipleValues, "https://schema.org/multipleValues"
      new :MuscleAction, "https://schema.org/muscleAction"
      new :MusicArrangement, "https://schema.org/musicArrangement"
      new :MusicBy, "https://schema.org/musicBy"
      new :MusicCompositionForm, "https://schema.org/musicCompositionForm"
      new :MusicGroupMember, "https://schema.org/musicGroupMember"
      new :MusicReleaseFormat, "https://schema.org/musicReleaseFormat"
      new :MusicalKey, "https://schema.org/musicalKey"
      new :Naics, "https://schema.org/naics"
      new :Name, "https://schema.org/name"
      new :NamedPosition, "https://schema.org/namedPosition"
      new :Nationality, "https://schema.org/nationality"
      new :NaturalProgression, "https://schema.org/naturalProgression"
      new :Nerve, "https://schema.org/nerve"
      new :NerveMotor, "https://schema.org/nerveMotor"
      new :NetWorth, "https://schema.org/netWorth"
      new :NewsUpdatesAndGuidelines, "https://schema.org/newsUpdatesAndGuidelines"
      new :NextItem, "https://schema.org/nextItem"
      new :NoBylinesPolicy, "https://schema.org/noBylinesPolicy"
      new :NonEqual, "https://schema.org/nonEqual"
      new :NonProprietaryName, "https://schema.org/nonProprietaryName"
      new :NonprofitStatus, "https://schema.org/nonprofitStatus"
      new :NormalRange, "https://schema.org/normalRange"
      new :Nsn, "https://schema.org/nsn"
      new :NumAdults, "https://schema.org/numAdults"
      new :NumChildren, "https://schema.org/numChildren"
      new :NumConstraints, "https://schema.org/numConstraints"
      new :NumTracks, "https://schema.org/numTracks"
      new :NumberOfAccommodationUnits, "https://schema.org/numberOfAccommodationUnits"
      new :NumberOfAirbags, "https://schema.org/numberOfAirbags"
      new :NumberOfAvailableAccommodationUnits, "https://schema.org/numberOfAvailableAccommodationUnits"
      new :NumberOfAxles, "https://schema.org/numberOfAxles"
      new :NumberOfBathroomsTotal, "https://schema.org/numberOfBathroomsTotal"
      new :NumberOfBedrooms, "https://schema.org/numberOfBedrooms"
      new :NumberOfBeds, "https://schema.org/numberOfBeds"
      new :NumberOfCredits, "https://schema.org/numberOfCredits"
      new :NumberOfDoors, "https://schema.org/numberOfDoors"
      new :NumberOfEmployees, "https://schema.org/numberOfEmployees"
      new :NumberOfEpisodes, "https://schema.org/numberOfEpisodes"
      new :NumberOfForwardGears, "https://schema.org/numberOfForwardGears"
      new :NumberOfFullBathrooms, "https://schema.org/numberOfFullBathrooms"
      new :NumberOfItems, "https://schema.org/numberOfItems"
      new :NumberOfLoanPayments, "https://schema.org/numberOfLoanPayments"
      new :NumberOfPages, "https://schema.org/numberOfPages"
      new :NumberOfPartialBathrooms, "https://schema.org/numberOfPartialBathrooms"
      new :NumberOfPlayers, "https://schema.org/numberOfPlayers"
      new :NumberOfPreviousOwners, "https://schema.org/numberOfPreviousOwners"
      new :NumberOfRooms, "https://schema.org/numberOfRooms"
      new :NumberOfSeasons, "https://schema.org/numberOfSeasons"
      new :NumberedPosition, "https://schema.org/numberedPosition"
      new :Nutrition, "https://schema.org/nutrition"
      new :Object, "https://schema.org/object"
      new :ObservationDate, "https://schema.org/observationDate"
      new :ObservedNode, "https://schema.org/observedNode"
      new :Occupancy, "https://schema.org/occupancy"
      new :OccupationLocation, "https://schema.org/occupationLocation"
      new :OccupationalCategory, "https://schema.org/occupationalCategory"
      new :OccupationalCredentialAwarded, "https://schema.org/occupationalCredentialAwarded"
      new :OfferCount, "https://schema.org/offerCount"
      new :OfferedBy, "https://schema.org/offeredBy"
      new :Offers, "https://schema.org/offers"
      new :OffersPrescriptionByMail, "https://schema.org/offersPrescriptionByMail"
      new :OpeningHours, "https://schema.org/openingHours"
      new :OpeningHoursSpecification, "https://schema.org/openingHoursSpecification"
      new :Opens, "https://schema.org/opens"
      new :OperatingSystem, "https://schema.org/operatingSystem"
      new :Opponent, "https://schema.org/opponent"
      new :Option, "https://schema.org/option"
      new :OrderDate, "https://schema.org/orderDate"
      new :OrderDelivery, "https://schema.org/orderDelivery"
      new :OrderItemNumber, "https://schema.org/orderItemNumber"
      new :OrderItemStatus, "https://schema.org/orderItemStatus"
      new :OrderNumber, "https://schema.org/orderNumber"
      new :OrderQuantity, "https://schema.org/orderQuantity"
      new :OrderStatus, "https://schema.org/orderStatus"
      new :OrderedItem, "https://schema.org/orderedItem"
      new :Organizer, "https://schema.org/organizer"
      new :OriginAddress, "https://schema.org/originAddress"
      new :OriginatesFrom, "https://schema.org/originatesFrom"
      new :Overdosage, "https://schema.org/overdosage"
      new :OwnedFrom, "https://schema.org/ownedFrom"
      new :OwnedThrough, "https://schema.org/ownedThrough"
      new :OwnershipFundingInfo, "https://schema.org/ownershipFundingInfo"
      new :Owns, "https://schema.org/owns"
      new :PageEnd, "https://schema.org/pageEnd"
      new :PageStart, "https://schema.org/pageStart"
      new :Pagination, "https://schema.org/pagination"
      new :Parent, "https://schema.org/parent"
      new :ParentItem, "https://schema.org/parentItem"
      new :ParentOrganization, "https://schema.org/parentOrganization"
      new :ParentService, "https://schema.org/parentService"
      new :Parents, "https://schema.org/parents"
      new :PartOfEpisode, "https://schema.org/partOfEpisode"
      new :PartOfInvoice, "https://schema.org/partOfInvoice"
      new :PartOfOrder, "https://schema.org/partOfOrder"
      new :PartOfSeason, "https://schema.org/partOfSeason"
      new :PartOfSeries, "https://schema.org/partOfSeries"
      new :PartOfSystem, "https://schema.org/partOfSystem"
      new :PartOfTVSeries, "https://schema.org/partOfTVSeries"
      new :PartOfTrip, "https://schema.org/partOfTrip"
      new :Participant, "https://schema.org/participant"
      new :PartySize, "https://schema.org/partySize"
      new :PassengerPriorityStatus, "https://schema.org/passengerPriorityStatus"
      new :PassengerSequenceNumber, "https://schema.org/passengerSequenceNumber"
      new :Pathophysiology, "https://schema.org/pathophysiology"
      new :Pattern, "https://schema.org/pattern"
      new :Payload, "https://schema.org/payload"
      new :PaymentAccepted, "https://schema.org/paymentAccepted"
      new :PaymentDue, "https://schema.org/paymentDue"
      new :PaymentDueDate, "https://schema.org/paymentDueDate"
      new :PaymentMethod, "https://schema.org/paymentMethod"
      new :PaymentMethodId, "https://schema.org/paymentMethodId"
      new :PaymentStatus, "https://schema.org/paymentStatus"
      new :PaymentUrl, "https://schema.org/paymentUrl"
      new :Penciler, "https://schema.org/penciler"
      new :Percentile10, "https://schema.org/percentile10"
      new :Percentile25, "https://schema.org/percentile25"
      new :Percentile75, "https://schema.org/percentile75"
      new :Percentile90, "https://schema.org/percentile90"
      new :PerformTime, "https://schema.org/performTime"
      new :Performer, "https://schema.org/performer"
      new :PerformerIn, "https://schema.org/performerIn"
      new :Performers, "https://schema.org/performers"
      new :PermissionType, "https://schema.org/permissionType"
      new :Permissions, "https://schema.org/permissions"
      new :PermitAudience, "https://schema.org/permitAudience"
      new :PermittedUsage, "https://schema.org/permittedUsage"
      new :PetsAllowed, "https://schema.org/petsAllowed"
      new :PhoneticText, "https://schema.org/phoneticText"
      new :Photo, "https://schema.org/photo"
      new :Photos, "https://schema.org/photos"
      new :PhysicalRequirement, "https://schema.org/physicalRequirement"
      new :PhysiologicalBenefits, "https://schema.org/physiologicalBenefits"
      new :PickupLocation, "https://schema.org/pickupLocation"
      new :PickupTime, "https://schema.org/pickupTime"
      new :PlayMode, "https://schema.org/playMode"
      new :PlayerType, "https://schema.org/playerType"
      new :PlayersOnline, "https://schema.org/playersOnline"
      new :Polygon, "https://schema.org/polygon"
      new :PopulationType, "https://schema.org/populationType"
      new :Position, "https://schema.org/position"
      new :PossibleComplication, "https://schema.org/possibleComplication"
      new :PossibleTreatment, "https://schema.org/possibleTreatment"
      new :PostOfficeBoxNumber, "https://schema.org/postOfficeBoxNumber"
      new :PostOp, "https://schema.org/postOp"
      new :PostalCode, "https://schema.org/postalCode"
      new :PostalCodeBegin, "https://schema.org/postalCodeBegin"
      new :PostalCodeEnd, "https://schema.org/postalCodeEnd"
      new :PostalCodePrefix, "https://schema.org/postalCodePrefix"
      new :PostalCodeRange, "https://schema.org/postalCodeRange"
      new :PotentialAction, "https://schema.org/potentialAction"
      new :PreOp, "https://schema.org/preOp"
      new :PredecessorOf, "https://schema.org/predecessorOf"
      new :PregnancyCategory, "https://schema.org/pregnancyCategory"
      new :PregnancyWarning, "https://schema.org/pregnancyWarning"
      new :PrepTime, "https://schema.org/prepTime"
      new :Preparation, "https://schema.org/preparation"
      new :PrescribingInfo, "https://schema.org/prescribingInfo"
      new :PrescriptionStatus, "https://schema.org/prescriptionStatus"
      new :PreviousItem, "https://schema.org/previousItem"
      new :PreviousStartDate, "https://schema.org/previousStartDate"
      new :Price, "https://schema.org/price"
      new :PriceComponent, "https://schema.org/priceComponent"
      new :PriceComponentType, "https://schema.org/priceComponentType"
      new :PriceCurrency, "https://schema.org/priceCurrency"
      new :PriceRange, "https://schema.org/priceRange"
      new :PriceSpecification, "https://schema.org/priceSpecification"
      new :PriceType, "https://schema.org/priceType"
      new :PriceValidUntil, "https://schema.org/priceValidUntil"
      new :PrimaryImageOfPage, "https://schema.org/primaryImageOfPage"
      new :PrimaryPrevention, "https://schema.org/primaryPrevention"
      new :PrintColumn, "https://schema.org/printColumn"
      new :PrintEdition, "https://schema.org/printEdition"
      new :PrintPage, "https://schema.org/printPage"
      new :PrintSection, "https://schema.org/printSection"
      new :Procedure, "https://schema.org/procedure"
      new :ProcedureType, "https://schema.org/procedureType"
      new :ProcessingTime, "https://schema.org/processingTime"
      new :ProcessorRequirements, "https://schema.org/processorRequirements"
      new :Producer, "https://schema.org/producer"
      new :Produces, "https://schema.org/produces"
      new :ProductGroupID, "https://schema.org/productGroupID"
      new :ProductID, "https://schema.org/productID"
      new :ProductSupported, "https://schema.org/productSupported"
      new :ProductionCompany, "https://schema.org/productionCompany"
      new :ProductionDate, "https://schema.org/productionDate"
      new :ProficiencyLevel, "https://schema.org/proficiencyLevel"
      new :ProgramMembershipUsed, "https://schema.org/programMembershipUsed"
      new :ProgramName, "https://schema.org/programName"
      new :ProgramPrerequisites, "https://schema.org/programPrerequisites"
      new :ProgramType, "https://schema.org/programType"
      new :ProgrammingLanguage, "https://schema.org/programmingLanguage"
      new :ProgrammingModel, "https://schema.org/programmingModel"
      new :PropertyID, "https://schema.org/propertyID"
      new :ProprietaryName, "https://schema.org/proprietaryName"
      new :ProteinContent, "https://schema.org/proteinContent"
      new :Provider, "https://schema.org/provider"
      new :ProviderMobility, "https://schema.org/providerMobility"
      new :ProvidesBroadcastService, "https://schema.org/providesBroadcastService"
      new :ProvidesService, "https://schema.org/providesService"
      new :PublicAccess, "https://schema.org/publicAccess"
      new :PublicTransportClosuresInfo, "https://schema.org/publicTransportClosuresInfo"
      new :Publication, "https://schema.org/publication"
      new :PublicationType, "https://schema.org/publicationType"
      new :PublishedBy, "https://schema.org/publishedBy"
      new :PublishedOn, "https://schema.org/publishedOn"
      new :Publisher, "https://schema.org/publisher"
      new :PublisherImprint, "https://schema.org/publisherImprint"
      new :PublishingPrinciples, "https://schema.org/publishingPrinciples"
      new :PurchaseDate, "https://schema.org/purchaseDate"
      new :Qualifications, "https://schema.org/qualifications"
      new :QuarantineGuidelines, "https://schema.org/quarantineGuidelines"
      new :Query, "https://schema.org/query"
      new :Quest, "https://schema.org/quest"
      new :Question, "https://schema.org/question"
      new :RangeIncludes, "https://schema.org/rangeIncludes"
      new :RatingCount, "https://schema.org/ratingCount"
      new :RatingExplanation, "https://schema.org/ratingExplanation"
      new :RatingValue, "https://schema.org/ratingValue"
      new :ReadBy, "https://schema.org/readBy"
      new :ReadonlyValue, "https://schema.org/readonlyValue"
      new :RealEstateAgent, "https://schema.org/realEstateAgent"
      new :Recipe, "https://schema.org/recipe"
      new :RecipeCategory, "https://schema.org/recipeCategory"
      new :RecipeCuisine, "https://schema.org/recipeCuisine"
      new :RecipeIngredient, "https://schema.org/recipeIngredient"
      new :RecipeInstructions, "https://schema.org/recipeInstructions"
      new :RecipeYield, "https://schema.org/recipeYield"
      new :Recipient, "https://schema.org/recipient"
      new :RecognizedBy, "https://schema.org/recognizedBy"
      new :RecognizingAuthority, "https://schema.org/recognizingAuthority"
      new :RecommendationStrength, "https://schema.org/recommendationStrength"
      new :RecommendedIntake, "https://schema.org/recommendedIntake"
      new :RecordLabel, "https://schema.org/recordLabel"
      new :RecordedAs, "https://schema.org/recordedAs"
      new :RecordedAt, "https://schema.org/recordedAt"
      new :RecordedIn, "https://schema.org/recordedIn"
      new :RecordingOf, "https://schema.org/recordingOf"
      new :RecourseLoan, "https://schema.org/recourseLoan"
      new :ReferenceQuantity, "https://schema.org/referenceQuantity"
      new :ReferencesOrder, "https://schema.org/referencesOrder"
      new :RefundType, "https://schema.org/refundType"
      new :RegionDrained, "https://schema.org/regionDrained"
      new :RegionsAllowed, "https://schema.org/regionsAllowed"
      new :RelatedAnatomy, "https://schema.org/relatedAnatomy"
      new :RelatedCondition, "https://schema.org/relatedCondition"
      new :RelatedDrug, "https://schema.org/relatedDrug"
      new :RelatedLink, "https://schema.org/relatedLink"
      new :RelatedStructure, "https://schema.org/relatedStructure"
      new :RelatedTherapy, "https://schema.org/relatedTherapy"
      new :RelatedTo, "https://schema.org/relatedTo"
      new :ReleaseDate, "https://schema.org/releaseDate"
      new :ReleaseNotes, "https://schema.org/releaseNotes"
      new :ReleaseOf, "https://schema.org/releaseOf"
      new :ReleasedEvent, "https://schema.org/releasedEvent"
      new :RelevantOccupation, "https://schema.org/relevantOccupation"
      new :RelevantSpecialty, "https://schema.org/relevantSpecialty"
      new :RemainingAttendeeCapacity, "https://schema.org/remainingAttendeeCapacity"
      new :RenegotiableLoan, "https://schema.org/renegotiableLoan"
      new :RepeatCount, "https://schema.org/repeatCount"
      new :RepeatFrequency, "https://schema.org/repeatFrequency"
      new :Repetitions, "https://schema.org/repetitions"
      new :Replacee, "https://schema.org/replacee"
      new :Replacer, "https://schema.org/replacer"
      new :ReplyToUrl, "https://schema.org/replyToUrl"
      new :ReportNumber, "https://schema.org/reportNumber"
      new :RepresentativeOfPage, "https://schema.org/representativeOfPage"
      new :RequiredCollateral, "https://schema.org/requiredCollateral"
      new :RequiredGender, "https://schema.org/requiredGender"
      new :RequiredMaxAge, "https://schema.org/requiredMaxAge"
      new :RequiredMinAge, "https://schema.org/requiredMinAge"
      new :RequiredQuantity, "https://schema.org/requiredQuantity"
      new :Requirements, "https://schema.org/requirements"
      new :RequiresSubscription, "https://schema.org/requiresSubscription"
      new :ReservationFor, "https://schema.org/reservationFor"
      new :ReservationId, "https://schema.org/reservationId"
      new :ReservationStatus, "https://schema.org/reservationStatus"
      new :ReservedTicket, "https://schema.org/reservedTicket"
      new :Responsibilities, "https://schema.org/responsibilities"
      new :RestPeriods, "https://schema.org/restPeriods"
      new :Result, "https://schema.org/result"
      new :ResultComment, "https://schema.org/resultComment"
      new :ResultReview, "https://schema.org/resultReview"
      new :ReturnFees, "https://schema.org/returnFees"
      new :ReturnPolicyCategory, "https://schema.org/returnPolicyCategory"
      new :Review, "https://schema.org/review"
      new :ReviewAspect, "https://schema.org/reviewAspect"
      new :ReviewBody, "https://schema.org/reviewBody"
      new :ReviewCount, "https://schema.org/reviewCount"
      new :ReviewRating, "https://schema.org/reviewRating"
      new :ReviewedBy, "https://schema.org/reviewedBy"
      new :Reviews, "https://schema.org/reviews"
      new :RiskFactor, "https://schema.org/riskFactor"
      new :Risks, "https://schema.org/risks"
      new :RoleName, "https://schema.org/roleName"
      new :RoofLoad, "https://schema.org/roofLoad"
      new :RsvpResponse, "https://schema.org/rsvpResponse"
      new :RunsTo, "https://schema.org/runsTo"
      new :Runtime, "https://schema.org/runtime"
      new :RuntimePlatform, "https://schema.org/runtimePlatform"
      new :Rxcui, "https://schema.org/rxcui"
      new :SafetyConsideration, "https://schema.org/safetyConsideration"
      new :SalaryCurrency, "https://schema.org/salaryCurrency"
      new :SalaryUponCompletion, "https://schema.org/salaryUponCompletion"
      new :SameAs, "https://schema.org/sameAs"
      new :SampleType, "https://schema.org/sampleType"
      new :SaturatedFatContent, "https://schema.org/saturatedFatContent"
      new :ScheduleTimezone, "https://schema.org/scheduleTimezone"
      new :ScheduledPaymentDate, "https://schema.org/scheduledPaymentDate"
      new :ScheduledTime, "https://schema.org/scheduledTime"
      new :SchemaVersion, "https://schema.org/schemaVersion"
      new :SchoolClosuresInfo, "https://schema.org/schoolClosuresInfo"
      new :ScreenCount, "https://schema.org/screenCount"
      new :Screenshot, "https://schema.org/screenshot"
      new :SdDatePublished, "https://schema.org/sdDatePublished"
      new :SdLicense, "https://schema.org/sdLicense"
      new :SdPublisher, "https://schema.org/sdPublisher"
      new :Season, "https://schema.org/season"
      new :SeasonNumber, "https://schema.org/seasonNumber"
      new :Seasons, "https://schema.org/seasons"
      new :SeatNumber, "https://schema.org/seatNumber"
      new :SeatRow, "https://schema.org/seatRow"
      new :SeatSection, "https://schema.org/seatSection"
      new :SeatingCapacity, "https://schema.org/seatingCapacity"
      new :SeatingType, "https://schema.org/seatingType"
      new :SecondaryPrevention, "https://schema.org/secondaryPrevention"
      new :SecurityClearanceRequirement, "https://schema.org/securityClearanceRequirement"
      new :SecurityScreening, "https://schema.org/securityScreening"
      new :Seeks, "https://schema.org/seeks"
      new :Seller, "https://schema.org/seller"
      new :Sender, "https://schema.org/sender"
      new :SensoryRequirement, "https://schema.org/sensoryRequirement"
      new :SensoryUnit, "https://schema.org/sensoryUnit"
      new :SerialNumber, "https://schema.org/serialNumber"
      new :SeriousAdverseOutcome, "https://schema.org/seriousAdverseOutcome"
      new :ServerStatus, "https://schema.org/serverStatus"
      new :ServesCuisine, "https://schema.org/servesCuisine"
      new :ServiceArea, "https://schema.org/serviceArea"
      new :ServiceAudience, "https://schema.org/serviceAudience"
      new :ServiceLocation, "https://schema.org/serviceLocation"
      new :ServiceOperator, "https://schema.org/serviceOperator"
      new :ServiceOutput, "https://schema.org/serviceOutput"
      new :ServicePhone, "https://schema.org/servicePhone"
      new :ServicePostalAddress, "https://schema.org/servicePostalAddress"
      new :ServiceSmsNumber, "https://schema.org/serviceSmsNumber"
      new :ServiceType, "https://schema.org/serviceType"
      new :ServiceUrl, "https://schema.org/serviceUrl"
      new :ServingSize, "https://schema.org/servingSize"
      new :SharedContent, "https://schema.org/sharedContent"
      new :ShippingDestination, "https://schema.org/shippingDestination"
      new :ShippingDetails, "https://schema.org/shippingDetails"
      new :ShippingLabel, "https://schema.org/shippingLabel"
      new :ShippingRate, "https://schema.org/shippingRate"
      new :ShippingSettingsLink, "https://schema.org/shippingSettingsLink"
      new :Sibling, "https://schema.org/sibling"
      new :Siblings, "https://schema.org/siblings"
      new :SignDetected, "https://schema.org/signDetected"
      new :SignOrSymptom, "https://schema.org/signOrSymptom"
      new :Significance, "https://schema.org/significance"
      new :SignificantLink, "https://schema.org/significantLink"
      new :SignificantLinks, "https://schema.org/significantLinks"
      new :Size, "https://schema.org/size"
      new :SizeGroup, "https://schema.org/sizeGroup"
      new :SizeSystem, "https://schema.org/sizeSystem"
      new :Skills, "https://schema.org/skills"
      new :Sku, "https://schema.org/sku"
      new :Slogan, "https://schema.org/slogan"
      new :SmokingAllowed, "https://schema.org/smokingAllowed"
      new :SodiumContent, "https://schema.org/sodiumContent"
      new :SoftwareAddOn, "https://schema.org/softwareAddOn"
      new :SoftwareHelp, "https://schema.org/softwareHelp"
      new :SoftwareRequirements, "https://schema.org/softwareRequirements"
      new :SoftwareVersion, "https://schema.org/softwareVersion"
      new :SourceOrganization, "https://schema.org/sourceOrganization"
      new :SourcedFrom, "https://schema.org/sourcedFrom"
      new :Spatial, "https://schema.org/spatial"
      new :SpatialCoverage, "https://schema.org/spatialCoverage"
      new :Speakable, "https://schema.org/speakable"
      new :SpecialCommitments, "https://schema.org/specialCommitments"
      new :SpecialOpeningHoursSpecification, "https://schema.org/specialOpeningHoursSpecification"
      new :Specialty, "https://schema.org/specialty"
      new :SpeechToTextMarkup, "https://schema.org/speechToTextMarkup"
      new :Speed, "https://schema.org/speed"
      new :SpokenByCharacter, "https://schema.org/spokenByCharacter"
      new :Sponsor, "https://schema.org/sponsor"
      new :Sport, "https://schema.org/sport"
      new :SportsActivityLocation, "https://schema.org/sportsActivityLocation"
      new :SportsEvent, "https://schema.org/sportsEvent"
      new :SportsTeam, "https://schema.org/sportsTeam"
      new :Spouse, "https://schema.org/spouse"
      new :Stage, "https://schema.org/stage"
      new :StageAsNumber, "https://schema.org/stageAsNumber"
      new :StarRating, "https://schema.org/starRating"
      new :StartDate, "https://schema.org/startDate"
      new :StartOffset, "https://schema.org/startOffset"
      new :StartTime, "https://schema.org/startTime"
      new :Status, "https://schema.org/status"
      new :SteeringPosition, "https://schema.org/steeringPosition"
      new :Step, "https://schema.org/step"
      new :StepValue, "https://schema.org/stepValue"
      new :Steps, "https://schema.org/steps"
      new :StorageRequirements, "https://schema.org/storageRequirements"
      new :StreetAddress, "https://schema.org/streetAddress"
      new :StrengthUnit, "https://schema.org/strengthUnit"
      new :StrengthValue, "https://schema.org/strengthValue"
      new :StructuralClass, "https://schema.org/structuralClass"
      new :Study, "https://schema.org/study"
      new :StudyDesign, "https://schema.org/studyDesign"
      new :StudyLocation, "https://schema.org/studyLocation"
      new :StudySubject, "https://schema.org/studySubject"
      new :SubEvent, "https://schema.org/subEvent"
      new :SubEvents, "https://schema.org/subEvents"
      new :SubOrganization, "https://schema.org/subOrganization"
      new :SubReservation, "https://schema.org/subReservation"
      new :SubStageSuffix, "https://schema.org/subStageSuffix"
      new :SubStructure, "https://schema.org/subStructure"
      new :SubTest, "https://schema.org/subTest"
      new :SubTrip, "https://schema.org/subTrip"
      new :SubjectOf, "https://schema.org/subjectOf"
      new :SubtitleLanguage, "https://schema.org/subtitleLanguage"
      new :SuccessorOf, "https://schema.org/successorOf"
      new :SugarContent, "https://schema.org/sugarContent"
      new :SuggestedAge, "https://schema.org/suggestedAge"
      new :SuggestedAnswer, "https://schema.org/suggestedAnswer"
      new :SuggestedGender, "https://schema.org/suggestedGender"
      new :SuggestedMaxAge, "https://schema.org/suggestedMaxAge"
      new :SuggestedMeasurement, "https://schema.org/suggestedMeasurement"
      new :SuggestedMinAge, "https://schema.org/suggestedMinAge"
      new :SuitableForDiet, "https://schema.org/suitableForDiet"
      new :SuperEvent, "https://schema.org/superEvent"
      new :SupersededBy, "https://schema.org/supersededBy"
      new :Supply, "https://schema.org/supply"
      new :SupplyTo, "https://schema.org/supplyTo"
      new :SupportingData, "https://schema.org/supportingData"
      new :Surface, "https://schema.org/surface"
      new :Target, "https://schema.org/target"
      new :TargetCollection, "https://schema.org/targetCollection"
      new :TargetDescription, "https://schema.org/targetDescription"
      new :TargetName, "https://schema.org/targetName"
      new :TargetPlatform, "https://schema.org/targetPlatform"
      new :TargetPopulation, "https://schema.org/targetPopulation"
      new :TargetProduct, "https://schema.org/targetProduct"
      new :TargetUrl, "https://schema.org/targetUrl"
      new :TaxID, "https://schema.org/taxID"
      new :Teaches, "https://schema.org/teaches"
      new :Telephone, "https://schema.org/telephone"
      new :Temporal, "https://schema.org/temporal"
      new :TemporalCoverage, "https://schema.org/temporalCoverage"
      new :TermCode, "https://schema.org/termCode"
      new :TermDuration, "https://schema.org/termDuration"
      new :TermsOfService, "https://schema.org/termsOfService"
      new :TermsPerYear, "https://schema.org/termsPerYear"
      new :Text, "https://schema.org/text"
      new :TextValue, "https://schema.org/textValue"
      new :Thumbnail, "https://schema.org/thumbnail"
      new :ThumbnailUrl, "https://schema.org/thumbnailUrl"
      new :TickerSymbol, "https://schema.org/tickerSymbol"
      new :TicketNumber, "https://schema.org/ticketNumber"
      new :TicketToken, "https://schema.org/ticketToken"
      new :TicketedSeat, "https://schema.org/ticketedSeat"
      new :TimeOfDay, "https://schema.org/timeOfDay"
      new :TimeRequired, "https://schema.org/timeRequired"
      new :TimeToComplete, "https://schema.org/timeToComplete"
      new :TissueSample, "https://schema.org/tissueSample"
      new :Title, "https://schema.org/title"
      new :TitleEIDR, "https://schema.org/titleEIDR"
      new :ToLocation, "https://schema.org/toLocation"
      new :ToRecipient, "https://schema.org/toRecipient"
      new :TocContinuation, "https://schema.org/tocContinuation"
      new :TocEntry, "https://schema.org/tocEntry"
      new :TongueWeight, "https://schema.org/tongueWeight"
      new :Tool, "https://schema.org/tool"
      new :Torque, "https://schema.org/torque"
      new :TotalJobOpenings, "https://schema.org/totalJobOpenings"
      new :TotalPaymentDue, "https://schema.org/totalPaymentDue"
      new :TotalPrice, "https://schema.org/totalPrice"
      new :TotalTime, "https://schema.org/totalTime"
      new :TourBookingPage, "https://schema.org/tourBookingPage"
      new :TouristType, "https://schema.org/touristType"
      new :Track, "https://schema.org/track"
      new :TrackingNumber, "https://schema.org/trackingNumber"
      new :TrackingUrl, "https://schema.org/trackingUrl"
      new :Tracks, "https://schema.org/tracks"
      new :Trailer, "https://schema.org/trailer"
      new :TrailerWeight, "https://schema.org/trailerWeight"
      new :TrainName, "https://schema.org/trainName"
      new :TrainNumber, "https://schema.org/trainNumber"
      new :TrainingSalary, "https://schema.org/trainingSalary"
      new :TransFatContent, "https://schema.org/transFatContent"
      new :Transcript, "https://schema.org/transcript"
      new :TransitTime, "https://schema.org/transitTime"
      new :TransitTimeLabel, "https://schema.org/transitTimeLabel"
      new :TranslationOfWork, "https://schema.org/translationOfWork"
      new :Translator, "https://schema.org/translator"
      new :TransmissionMethod, "https://schema.org/transmissionMethod"
      new :TravelBans, "https://schema.org/travelBans"
      new :TrialDesign, "https://schema.org/trialDesign"
      new :Tributary, "https://schema.org/tributary"
      new :TypeOfBed, "https://schema.org/typeOfBed"
      new :TypeOfGood, "https://schema.org/typeOfGood"
      new :TypicalAgeRange, "https://schema.org/typicalAgeRange"
      new :TypicalCreditsPerTerm, "https://schema.org/typicalCreditsPerTerm"
      new :TypicalTest, "https://schema.org/typicalTest"
      new :UnderName, "https://schema.org/underName"
      new :UnitCode, "https://schema.org/unitCode"
      new :UnitText, "https://schema.org/unitText"
      new :UnnamedSourcesPolicy, "https://schema.org/unnamedSourcesPolicy"
      new :UnsaturatedFatContent, "https://schema.org/unsaturatedFatContent"
      new :UploadDate, "https://schema.org/uploadDate"
      new :UpvoteCount, "https://schema.org/upvoteCount"
      new :Url, "https://schema.org/url"
      new :UrlTemplate, "https://schema.org/urlTemplate"
      new :UsageInfo, "https://schema.org/usageInfo"
      new :UsedToDiagnose, "https://schema.org/usedToDiagnose"
      new :UserInteractionCount, "https://schema.org/userInteractionCount"
      new :UsesDevice, "https://schema.org/usesDevice"
      new :UsesHealthPlanIdStandard, "https://schema.org/usesHealthPlanIdStandard"
      new :Utterances, "https://schema.org/utterances"
      new :ValidFor, "https://schema.org/validFor"
      new :ValidFrom, "https://schema.org/validFrom"
      new :ValidIn, "https://schema.org/validIn"
      new :ValidThrough, "https://schema.org/validThrough"
      new :ValidUntil, "https://schema.org/validUntil"
      new :Value, "https://schema.org/value"
      new :ValueAddedTaxIncluded, "https://schema.org/valueAddedTaxIncluded"
      new :ValueMaxLength, "https://schema.org/valueMaxLength"
      new :ValueMinLength, "https://schema.org/valueMinLength"
      new :ValueName, "https://schema.org/valueName"
      new :ValuePattern, "https://schema.org/valuePattern"
      new :ValueReference, "https://schema.org/valueReference"
      new :ValueRequired, "https://schema.org/valueRequired"
      new :VariableMeasured, "https://schema.org/variableMeasured"
      new :VariantCover, "https://schema.org/variantCover"
      new :VariesBy, "https://schema.org/variesBy"
      new :VatID, "https://schema.org/vatID"
      new :VehicleConfiguration, "https://schema.org/vehicleConfiguration"
      new :VehicleEngine, "https://schema.org/vehicleEngine"
      new :VehicleIdentificationNumber, "https://schema.org/vehicleIdentificationNumber"
      new :VehicleInteriorColor, "https://schema.org/vehicleInteriorColor"
      new :VehicleInteriorType, "https://schema.org/vehicleInteriorType"
      new :VehicleModelDate, "https://schema.org/vehicleModelDate"
      new :VehicleSeatingCapacity, "https://schema.org/vehicleSeatingCapacity"
      new :VehicleSpecialUsage, "https://schema.org/vehicleSpecialUsage"
      new :VehicleTransmission, "https://schema.org/vehicleTransmission"
      new :Vendor, "https://schema.org/vendor"
      new :VerificationFactCheckingPolicy, "https://schema.org/verificationFactCheckingPolicy"
      new :Version, "https://schema.org/version"
      new :Video, "https://schema.org/video"
      new :VideoFormat, "https://schema.org/videoFormat"
      new :VideoFrameSize, "https://schema.org/videoFrameSize"
      new :VideoQuality, "https://schema.org/videoQuality"
      new :VolumeNumber, "https://schema.org/volumeNumber"
      new :Warning, "https://schema.org/warning"
      new :Warranty, "https://schema.org/warranty"
      new :WarrantyPromise, "https://schema.org/warrantyPromise"
      new :WarrantyScope, "https://schema.org/warrantyScope"
      new :WebCheckinTime, "https://schema.org/webCheckinTime"
      new :WebFeed, "https://schema.org/webFeed"
      new :Weight, "https://schema.org/weight"
      new :WeightTotal, "https://schema.org/weightTotal"
      new :Wheelbase, "https://schema.org/wheelbase"
      new :Width, "https://schema.org/width"
      new :Winner, "https://schema.org/winner"
      new :WordCount, "https://schema.org/wordCount"
      new :WorkExample, "https://schema.org/workExample"
      new :WorkFeatured, "https://schema.org/workFeatured"
      new :WorkHours, "https://schema.org/workHours"
      new :WorkLocation, "https://schema.org/workLocation"
      new :WorkPerformed, "https://schema.org/workPerformed"
      new :WorkPresented, "https://schema.org/workPresented"
      new :WorkTranslation, "https://schema.org/workTranslation"
      new :Workload, "https://schema.org/workload"
      new :WorksFor, "https://schema.org/worksFor"
      new :WorstRating, "https://schema.org/worstRating"
      new :Xpath, "https://schema.org/xpath"
      new :YearBuilt, "https://schema.org/yearBuilt"
      new :YearlyRevenue, "https://schema.org/yearlyRevenue"
      new :YearsInOperation, "https://schema.org/yearsInOperation"
      new :Yield, "https://schema.org/yield"
    end
  end
end
